package com.yihu.jw.restmodel.iot.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;

import javax.persistence.Column;
import java.util.Date;

/**
 *
 * @author George
 *
 */
@JsonInclude(JsonInclude.Include.ALWAYS)
@ApiModel(value = "患者健康指标预警值", description = "患者健康指标预警值")
public class WlyyHealthStandardVO {

	private Long id;

	// 患者标识
	private String patient;
	// 健康指标类型：1血糖，2血压，3体重，4腰围
	private Integer type;
	// 最低安全值(血糖餐前\收缩压\体重\腰围)
	private Double minValue1;
	// 最高安全值(血糖餐前\收缩压\体重\腰围)
	private Double maxValue1;
	// 最低安全值(血糖餐后\舒张压)
	private Double minValue2;
	// 最高安全值(血糖餐后\舒张压)
	private Double maxValue2;
	// 设置医生
	private String doctor;
	// 设置时间
	private Date czrq;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Double getMinValue1() {
		return minValue1;
	}

	public void setMinValue1(Double minValue) {
		this.minValue1 = minValue;
	}

	public Double getMaxValue1() {
		return maxValue1;
	}

	public void setMaxValue1(Double maxValue) {
		this.maxValue1 = maxValue;
	}

	public Double getMinValue2() {
		return minValue2;
	}

	public void setMinValue2(Double minValue) {
		this.minValue2 = minValue;
	}

	@Column(name = "max_value_2")
	public Double getMaxValue2() {
		return maxValue2;
	}

	public void setMaxValue2(Double maxValue) {
		this.maxValue2 = maxValue;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
